Index: drivers/dahdi/wctdm24xxp/base.c
===================================================================
--- drivers/dahdi/wctdm24xxp/base.c	(revision 4608)
+++ drivers/dahdi/wctdm24xxp/base.c	(working copy)
@@ -271,7 +271,7 @@
 
 	if (test_bit(VPM150M_SPIRESET, &vpm150m->control) || test_bit(VPM150M_HPIRESET, &vpm150m->control)) {
 		if (debug & DEBUG_ECHOCAN)
-			printk("HW Resetting VPMADT032...\n");
+			printk(KERN_INFO "HW Resetting VPMADT032...\n");
 		for (x = 24; x < 28; x++) {
 			if (x == 24) {
 				if (test_and_clear_bit(VPM150M_SPIRESET, &vpm150m->control))
@@ -300,7 +300,7 @@
 	}
 	if (curcmd) {
 #if 0
-		printk("Found command txident = %d, desc = 0x%x, addr = 0x%x, data = 0x%x\n", curcmd->txident, curcmd->desc, curcmd->addr, curcmd->data);
+		printk(KERN_DEBUG "Found command txident = %d, desc = 0x%x, addr = 0x%x, data = 0x%x\n", curcmd->txident, curcmd->desc, curcmd->addr, curcmd->data);
 #endif
 		if (curcmd->desc & __VPM150M_RWPAGE) {
 			/* Set CTRL access to page*/
@@ -380,7 +380,7 @@
 
 		}
 	} else if (test_and_clear_bit(VPM150M_SWRESET, &vpm150m->control)) {
-		printk("Booting VPMADT032\n");
+		printk(KERN_INFO "Booting VPMADT032\n");
 		for (x = 24; x < 28; x++) {
 			if (x == 24)
 				writechunk[CMD_BYTE(x, 0, 0)] = (0x8 << 4);
@@ -447,7 +447,7 @@
 			   !(wc->cmdq[card].cmds[x] & (__CMD_TX | __CMD_FIN))) {
 			   	curcmd = wc->cmdq[card].cmds[x];
 #if 0
-				printk("Transmitting command '%08x' in slot %d\n", wc->cmdq[card].cmds[x], wc->txident);
+				printk(KERN_DEBUG "Transmitting command '%08x' in slot %d\n", wc->cmdq[card].cmds[x], wc->txident);
 #endif			
 				wc->cmdq[card].cmds[x] |= (wc->txident << 24) | __CMD_TX;
 				break;
@@ -532,7 +532,7 @@
 #if 0
 	/* XXX */
 	if (cmddesc < 40)
-		printk("Pass %d, card = %d (modtype=%d), pos = %d, CMD_BYTES = %d,%d,%d, (%02x,%02x,%02x) curcmd = %08x\n", cmddesc, card, wc->modtype[card], pos, CMD_BYTE(card, 0), CMD_BYTE(card, 1), CMD_BYTE(card, 2), writechunk[CMD_BYTE(card, 0)], writechunk[CMD_BYTE(card, 1)], writechunk[CMD_BYTE(card, 2)], curcmd);
+		printk(KERN_DEBUG "Pass %d, card = %d (modtype=%d), pos = %d, CMD_BYTES = %d,%d,%d, (%02x,%02x,%02x) curcmd = %08x\n", cmddesc, card, wc->modtype[card], pos, CMD_BYTE(card, 0), CMD_BYTE(card, 1), CMD_BYTE(card, 2), writechunk[CMD_BYTE(card, 0)], writechunk[CMD_BYTE(card, 1)], writechunk[CMD_BYTE(card, 2)], curcmd);
 #endif
 	spin_unlock_irqrestore(&wc->reglock, flags);
 #if 0
@@ -615,7 +615,7 @@
 #if 0
 	/* XXX */
 	if (!pos && (cmddesc < 256))
-		printk("Card %d: Command '%08x' => %02x\n",card,  wc->cmdq[card].lasttx[pos], wc->cmdq[card].lastrd[pos]);
+		printk(KERN_DEBUG "Card %d: Command '%08x' => %02x\n",card,  wc->cmdq[card].lasttx[pos], wc->cmdq[card].lastrd[pos]);
 #endif
 	spin_unlock_irqrestore(&wc->reglock, flags);
 }
@@ -812,7 +812,7 @@
 	spin_lock_irqsave(&wc->reglock, flags);
 	for (x = 0; x < VPM150M_MAX_COMMANDS; x++) {
 		if (!(wc->vpm150m->cmdq[x].desc & __VPM150M_FIN)) {
-			//printk("Retransmit!\n");
+			//printk(KERN_DEBUG "Retransmit!\n");
 			wc->vpm150m->cmdq[x].desc &= ~(__VPM150M_TX);
 		}
 	}
@@ -906,7 +906,7 @@
 
 	 }
 
-    if(count > (MAX-1)) printk(" ##### Loop error (%02x) #####\n", data);
+    if(count > (MAX-1)) printk(KERN_NOTICE " ##### Loop error (%02x) #####\n", data);
 
 	return 0;
 }
@@ -963,7 +963,7 @@
 	} else
 		p = "failed to wait\n";
 	if (p)
-		printk(p);
+		printk(KERN_NOTICE "%s", p);
 	return res;
 }
 
@@ -989,14 +989,14 @@
 	for (i=0; i<sizeof(indirect_regs) / sizeof(indirect_regs[0]); i++) 
 	{
 		if((j = wctdm_proslic_getreg_indirect(wc, card, (unsigned char) indirect_regs[i].address)) < 0) {
-			printk("Failed to read indirect register %d\n", i);
+			printk(KERN_NOTICE "Failed to read indirect register %d\n", i);
 			return -1;
 		}
 		initial= indirect_regs[i].initial;
 
 		if ( j != initial && (!(wc->flags[card] & FLAG_3215) || (indirect_regs[i].altaddr != 255)))
 		{
-			 printk("!!!!!!! %s  iREG %X = %X  should be %X\n",
+			 printk(KERN_NOTICE "!!!!!!! %s  iREG %X = %X  should be %X\n",
 				indirect_regs[i].name,indirect_regs[i].address,j,initial );
 			 passed = 0;
 		}	
@@ -1004,9 +1004,9 @@
 
     if (passed) {
 		if (debug & DEBUG_CARD)
-			printk("Init Indirect Registers completed successfully.\n");
+			printk(KERN_DEBUG "Init Indirect Registers completed successfully.\n");
     } else {
-		printk(" !!!!! Init Indirect Registers UNSUCCESSFULLY.\n");
+		printk(KERN_NOTICE " !!!!! Init Indirect Registers UNSUCCESSFULLY.\n");
 		return -1;
     }
     return 0;
@@ -1022,7 +1022,7 @@
 		wc->cmdq[card].isrshadow[1]=0;
 		wc->mods[card].fxs.palarms++;
 		if (wc->mods[card].fxs.palarms < MAX_ALARMS) {
-			printk("Power alarm (%02x) on module %d, resetting!\n", res, card + 1);
+			printk(KERN_NOTICE "Power alarm (%02x) on module %d, resetting!\n", res, card + 1);
 			if (wc->mods[card].fxs.lasttxhook == 4)
 				wc->mods[card].fxs.lasttxhook = 0x11;
 			wc->sethook[card] = CMD_WR(19, res);
@@ -1035,7 +1035,7 @@
 			wc->cmdq[card].isrshadow[1] = 0;
 		} else {
 			if (wc->mods[card].fxs.palarms == MAX_ALARMS)
-				printk("Too many power alarms on card %d, NOT resetting!\n", card + 1);
+				printk(KERN_NOTICE "Too many power alarms on card %d, NOT resetting!\n", card + 1);
 		}
 	}
 #else
@@ -1051,7 +1051,7 @@
 	if (res) {
 		wc->mods[card].fxs.palarms++;
 		if (wc->mods[card].fxs.palarms < MAX_ALARMS) {
-			printk("Power alarm on module %d, resetting!\n", card + 1);
+			printk(KERN_NOTICE "Power alarm on module %d, resetting!\n", card + 1);
 			if (wc->mods[card].fxs.lasttxhook == 4)
 				wc->mods[card].fxs.lasttxhook = 0x11;
 			wc->mods[card].fxs.lasttxhook |= 0x10;
@@ -1062,7 +1062,7 @@
 			wc->cmdq[card].isrshadow[1] = wc->mods[card].fxs.lasttxhook;
 		} else {
 			if (wc->mods[card].fxs.palarms == MAX_ALARMS)
-				printk("Too many power alarms on card %d, NOT resetting!\n", card + 1);
+				printk(KERN_NOTICE "Too many power alarms on card %d, NOT resetting!\n", card + 1);
 		}
 	}
 #endif
@@ -1100,7 +1100,7 @@
 	if (wc->qrvdebtime[qrvcard] == 1)
 	{
 		b1 = wc->qrvhook[qrvcard + 2];
-if (debug) printk("QRV channel %d rx state changed to %d\n",qrvcard,wc->qrvhook[qrvcard + 2]);
+if (debug) printk(KERN_DEBUG "QRV channel %d rx state changed to %d\n",qrvcard,wc->qrvhook[qrvcard + 2]);
 		dahdi_hooksig(wc->chans[qrvcard], 
 			(b1) ? DAHDI_RXSIG_OFFHOOK : DAHDI_RXSIG_ONHOOK);
 		wc->qrvdebtime[card] = 0;
@@ -1114,7 +1114,7 @@
 	if (wc->qrvdebtime[qrvcard + 1] == 1)
 	{
 		b1 = wc->qrvhook[qrvcard + 3];
-if (debug) printk("QRV channel %d rx state changed to %d\n",qrvcard + 1,wc->qrvhook[qrvcard + 3]);
+if (debug) printk(KERN_DEBUG "QRV channel %d rx state changed to %d\n",qrvcard + 1,wc->qrvhook[qrvcard + 3]);
 		dahdi_hooksig(wc->chans[qrvcard + 1], 
 			(b1) ? DAHDI_RXSIG_OFFHOOK : DAHDI_RXSIG_ONHOOK);
 		wc->qrvdebtime[card] = 0;
@@ -1148,7 +1148,7 @@
 					if (!fxo->wasringing) {
 						fxo->wasringing = 1;
 						if (debug)
-							printk("RING on %d/%d!\n", wc->span.spanno, card + 1);
+							printk(KERN_DEBUG "RING on %d/%d!\n", wc->span.spanno, card + 1);
 						dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_RING);
 					}
 					fxo->lastrdtx = res;
@@ -1157,7 +1157,7 @@
 					if ((fxo->ringdebounce == 0) && fxo->wasringing) {
 						fxo->wasringing = 0;
 						if (debug)
-							printk("NO RING on %d/%d!\n", wc->span.spanno, card + 1);
+							printk(KERN_DEBUG "NO RING on %d/%d!\n", wc->span.spanno, card + 1);
 						dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_OFFHOOK);
 					}
 				}
@@ -1174,7 +1174,7 @@
 						fxo->wasringing = 1;
 						dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_RING);
 						if (debug)
-							printk("RING on %d/%d!\n", wc->span.spanno, card + 1);
+							printk(KERN_DEBUG "RING on %d/%d!\n", wc->span.spanno, card + 1);
 					}
 					fxo->ringdebounce = DAHDI_CHUNKSIZE * ringdebounce;
 				}
@@ -1185,7 +1185,7 @@
 						fxo->wasringing = 0;
 						dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_OFFHOOK);
 						if (debug)
-							printk("NO RING on %d/%d!\n", wc->span.spanno, card + 1);
+							printk(KERN_DEBUG "NO RING on %d/%d!\n", wc->span.spanno, card + 1);
 					}
 					fxo->ringdebounce = 0;
 				}
@@ -1198,7 +1198,7 @@
 
 	if (fxovoltage) {
 		if (!(wc->intcount % 100)) {
-			printk("Port %d: Voltage: %d  Debounce %d\n", card + 1, 
+			printk(KERN_INFO "Port %d: Voltage: %d  Debounce %d\n", card + 1, 
 			       b, fxo->battdebounce);
 		}
 	}
@@ -1223,12 +1223,12 @@
 				if (--fxo->battdebounce == 0) {
 					fxo->battery = BATTERY_LOST;
 					if (debug)
-						printk("NO BATTERY on %d/%d!\n", wc->span.spanno, card + 1);
+						printk(KERN_DEBUG "NO BATTERY on %d/%d!\n", wc->span.spanno, card + 1);
 #ifdef	JAPAN
 					if (!wc->ohdebounce && wc->offhook) {
 						dahdi_hooksig(&wc->chans[card], DAHDI_RXSIG_ONHOOK);
 						if (debug)
-							printk("Signalled On Hook\n");
+							printk(KERN_DEBUG "Signalled On Hook\n");
 #ifdef	ZERO_BATT_RING
 						wc->onhook++;
 #endif
@@ -1265,14 +1265,14 @@
 				if (--fxo->battdebounce == 0) {
 					fxo->battery = BATTERY_PRESENT;
 					if (debug)
-						printk("BATTERY on %d/%d (%s)!\n", wc->span.spanno, card + 1, 
+						printk(KERN_DEBUG "BATTERY on %d/%d (%s)!\n", wc->span.spanno, card + 1, 
 						       (b < 0) ? "-" : "+");			    
 #ifdef	ZERO_BATT_RING
 					if (wc->onhook) {
 						wc->onhook = 0;
 						dahdi_hooksig(&wc->chans[card], DAHDI_RXSIG_OFFHOOK);
 						if (debug)
-							printk("Signalled Off Hook\n");
+							printk(KERN_DEBUG "Signalled Off Hook\n");
 					}
 #else
 					dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_OFFHOOK);
@@ -1314,7 +1314,7 @@
 		if (fxo->polaritydebounce < 1) {
 		    if (fxo->lastpol != fxo->polarity) {
 			if (debug & DEBUG_CARD)
-				printk("%lu Polarity reversed (%d -> %d)\n", jiffies, 
+				printk(KERN_DEBUG "%lu Polarity reversed (%d -> %d)\n", jiffies, 
 				       fxo->polarity, 
 				       fxo->lastpol);
 			if (fxo->polarity)
@@ -1341,24 +1341,24 @@
 		/* Reset the debounce (must be multiple of 4ms) */
 		wc->mods[card].fxs.debounce = 8 * (4 * 8);
 #if 0
-		printk("Resetting debounce card %d hook %d, %d\n", card, hook, wc->mods[card].fxs.debounce);
+		printk(KERN_DEBUG "Resetting debounce card %d hook %d, %d\n", card, hook, wc->mods[card].fxs.debounce);
 #endif
 	} else {
 		if (wc->mods[card].fxs.debounce > 0) {
 			wc->mods[card].fxs.debounce-= 4 * DAHDI_CHUNKSIZE;
 #if 0
-			printk("Sustaining hook %d, %d\n", hook, wc->mods[card].fxs.debounce);
+			printk(KERN_DEBUG "Sustaining hook %d, %d\n", hook, wc->mods[card].fxs.debounce);
 #endif
 			if (!wc->mods[card].fxs.debounce) {
 #if 0
-				printk("Counted down debounce, newhook: %d...\n", hook);
+				printk(KERN_DEBUG "Counted down debounce, newhook: %d...\n", hook);
 #endif
 				wc->mods[card].fxs.debouncehook = hook;
 			}
 			if (!wc->mods[card].fxs.oldrxhook && wc->mods[card].fxs.debouncehook) {
 				/* Off hook */
 				if (debug & DEBUG_CARD)
-					printk("wctdm: Card %d Going off hook\n", card);
+					printk(KERN_DEBUG "wctdm: Card %d Going off hook\n", card);
 				dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_OFFHOOK);
 				if (robust)
 					wctdm_init_proslic(wc, card, 1, 0, 1);
@@ -1367,7 +1367,7 @@
 			} else if (wc->mods[card].fxs.oldrxhook && !wc->mods[card].fxs.debouncehook) {
 				/* On hook */
 				if (debug & DEBUG_CARD)
-					printk("wctdm: Card %d Going on hook\n", card);
+					printk(KERN_DEBUG "wctdm: Card %d Going on hook\n", card);
 				dahdi_hooksig(wc->chans[card], DAHDI_RXSIG_ONHOOK);
 				wc->mods[card].fxs.oldrxhook = 0;
 			}
@@ -1382,14 +1382,14 @@
 {
 	if (wc->cmdq[x].isrshadow[0]) {
 		if (debug & DEBUG_ECHOCAN)
-			printk("VPM: Detected dtmf ON channel %02x on chip %d!\n", wc->cmdq[x].isrshadow[0], x - NUM_CARDS);
+			printk(KERN_DEBUG "VPM: Detected dtmf ON channel %02x on chip %d!\n", wc->cmdq[x].isrshadow[0], x - NUM_CARDS);
 		wc->sethook[x] = CMD_WR(0xb9, wc->cmdq[x].isrshadow[0]);
 		wc->cmdq[x].isrshadow[0] = 0;
 		/* Cancel most recent lookup, if there is one */
 		wc->cmdq[x].cmds[USER_COMMANDS+0] = 0x00000000; 
 	} else if (wc->cmdq[x].isrshadow[1]) {
 		if (debug & DEBUG_ECHOCAN)
-			printk("VPM: Detected dtmf OFF channel %02x on chip %d!\n", wc->cmdq[x].isrshadow[1], x - NUM_CARDS);
+			printk(KERN_DEBUG "VPM: Detected dtmf OFF channel %02x on chip %d!\n", wc->cmdq[x].isrshadow[1], x - NUM_CARDS);
 		wc->sethook[x] = CMD_WR(0xbd, wc->cmdq[x].isrshadow[1]);
 		wc->cmdq[x].isrshadow[1] = 0;
 		/* Cancel most recent lookup, if there is one */
@@ -1413,7 +1413,7 @@
 			channel >>= 2;
 	
 		if(debug & DEBUG_ECHOCAN) 
-			printk("echocan: Unit is %d, Channel is  %d length %d\n", 
+			printk(KERN_DEBUG "echocan: Unit is %d, Channel is  %d length %d\n", 
 				unit, channel, ecp->tap_length);
 		if (ecp->tap_length)
 			wctdm_vpm_out(wc,unit,channel,0x3e);
@@ -1522,7 +1522,7 @@
 		return -2;
 	blah = wctdm_getreg(wc, card, 11);
 	if (debug & DEBUG_CARD)
-		printk("VoiceDAA System: %02x\n", blah & 0xf);
+		printk(KERN_DEBUG "VoiceDAA System: %02x\n", blah & 0xf);
 	return 0;
 }
 
@@ -1533,11 +1533,11 @@
 
 	blah = wctdm_getreg(wc, card, 0);
 	if (debug & DEBUG_CARD) 
-		printk("ProSLIC on module %d, product %d, version %d\n", card, (blah & 0x30) >> 4, (blah & 0xf));
+		printk(KERN_DEBUG "ProSLIC on module %d, product %d, version %d\n", card, (blah & 0x30) >> 4, (blah & 0xf));
 
 #if 0
 	if ((blah & 0x30) >> 4) {
-		printk("ProSLIC on module %d is not a 3210.\n", card);
+		printk(KERN_DEBUG "ProSLIC on module %d is not a 3210.\n", card);
 		return -1;
 	}
 #endif
@@ -1546,7 +1546,7 @@
 		return -1;
 	}
 	if ((blah & 0xf) < 2) {
-		printk("ProSLIC 3210 version %d is too old\n", blah & 0xf);
+		printk(KERN_INFO "ProSLIC 3210 version %d is too old\n", blah & 0xf);
 		return -1;
 	}
 	if (wctdm_getreg(wc, card, 1) & 0x80)
@@ -1555,30 +1555,30 @@
 
 	blah = wctdm_getreg(wc, card, 8);
 	if (blah != 0x2) {
-		printk("ProSLIC on module %d insane (1) %d should be 2\n", card, blah);
+		printk(KERN_NOTICE "ProSLIC on module %d insane (1) %d should be 2\n", card, blah);
 		return -1;
 	} else if ( insane_report)
-		printk("ProSLIC on module %d Reg 8 Reads %d Expected is 0x2\n",card,blah);
+		printk(KERN_NOTICE "ProSLIC on module %d Reg 8 Reads %d Expected is 0x2\n",card,blah);
 
 	blah = wctdm_getreg(wc, card, 64);
 	if (blah != 0x0) {
-		printk("ProSLIC on module %d insane (2)\n", card);
+		printk(KERN_NOTICE "ProSLIC on module %d insane (2)\n", card);
 		return -1;
 	} else if ( insane_report)
-		printk("ProSLIC on module %d Reg 64 Reads %d Expected is 0x0\n",card,blah);
+		printk(KERN_NOTICE "ProSLIC on module %d Reg 64 Reads %d Expected is 0x0\n",card,blah);
 
 	blah = wctdm_getreg(wc, card, 11);
 	if (blah != 0x33) {
-		printk("ProSLIC on module %d insane (3)\n", card);
+		printk(KERN_NOTICE "ProSLIC on module %d insane (3)\n", card);
 		return -1;
 	} else if ( insane_report)
-		printk("ProSLIC on module %d Reg 11 Reads %d Expected is 0x33\n",card,blah);
+		printk(KERN_NOTICE "ProSLIC on module %d Reg 11 Reads %d Expected is 0x33\n",card,blah);
 
 	/* Just be sure it's setup right. */
 	wctdm_setreg(wc, card, 30, 0);
 
 	if (debug & DEBUG_CARD) 
-		printk("ProSLIC on module %d seems sane.\n", card);
+		printk(KERN_DEBUG "ProSLIC on module %d seems sane.\n", card);
 	return 0;
 }
 
@@ -1602,11 +1602,11 @@
 	}
 
 	if (vbat < 0x06) {
-		printk("Excessive leakage detected on module %d: %d volts (%02x) after %d ms\n", card,
+		printk(KERN_NOTICE "Excessive leakage detected on module %d: %d volts (%02x) after %d ms\n", card,
 		       376 * vbat / 1000, vbat, (int)((jiffies - origjiffies) * 1000 / HZ));
 		return -1;
 	} else if (debug & DEBUG_CARD) {
-		printk("Post-leakage voltage: %d volts\n", 376 * vbat / 1000);
+		printk(KERN_DEBUG "Post-leakage voltage: %d volts\n", 376 * vbat / 1000);
 	}
 	return 0;
 }
@@ -1638,12 +1638,12 @@
 	}
 
 	if (vbat < 0xc0) {
-		printk("ProSLIC on module %d failed to powerup within %d ms (%d mV only)\n\n -- DID YOU REMEMBER TO PLUG IN THE HD POWER CABLE TO THE TDM CARD??\n",
+		printk(KERN_NOTICE "ProSLIC on module %d failed to powerup within %d ms (%d mV only)\n\n -- DID YOU REMEMBER TO PLUG IN THE HD POWER CABLE TO THE TDM CARD??\n",
 		       card, (int)(((jiffies - origjiffies) * 1000 / HZ)),
 			vbat * 375);
 		return -1;
 	} else if (debug & DEBUG_CARD) {
-		printk("ProSLIC on module %d powered up to -%d volts (%02x) in %d ms\n",
+		printk(KERN_DEBUG "ProSLIC on module %d powered up to -%d volts (%02x) in %d ms\n",
 		       card, vbat * 376 / 1000, vbat, (int)(((jiffies - origjiffies) * 1000 / HZ)));
 	}
 
@@ -1653,10 +1653,10 @@
         if ( loopcurrent > 41 ) {
                 lim = 0;
                 if (debug & DEBUG_CARD)
-                        printk("Loop current out of range! Setting to default 20mA!\n");
+                        printk(KERN_DEBUG "Loop current out of range! Setting to default 20mA!\n");
         }
         else if (debug & DEBUG_CARD)
-                        printk("Loop current set to %dmA!\n",(lim*3)+20);
+                        printk(KERN_DEBUG "Loop current set to %dmA!\n",(lim*3)+20);
         wctdm_setreg(wc,card,LOOP_I_LIMIT,lim);
 
 	/* Engage DC-DC converter */
@@ -1665,7 +1665,7 @@
 	origjiffies = jiffies;
 	while(0x80 & wctdm_getreg(wc, card, 93)) {
 		if ((jiffies - origjiffies) > 2 * HZ) {
-			printk("Timeout waiting for DC-DC calibration on module %d\n", card);
+			printk(KERN_DEBUG "Timeout waiting for DC-DC calibration on module %d\n", card);
 			return -1;
 		}
 	}
@@ -1676,7 +1676,7 @@
 
 	/* Just check to be sure */
 	vbat = wctdm_getreg(wc, card, 82);
-	printk("ProSLIC on module %d powered up to -%d volts (%02x) in %d ms\n",
+	printk(KERN_DEBUG "ProSLIC on module %d powered up to -%d volts (%02x) in %d ms\n",
 		       card, vbat * 376 / 1000, vbat, (int)(((jiffies - origjiffies) * 1000 / HZ)));
 #endif
 #endif
@@ -1773,16 +1773,16 @@
 	origjiffies = jiffies;
 	while(wctdm_getreg(wc, card, 96)) {
 		if ((jiffies - origjiffies) > 2 * HZ) {
-			printk("Timeout waiting for calibration of module %d\n", card);
+			printk(KERN_NOTICE "Timeout waiting for calibration of module %d\n", card);
 			return -1;
 		}
 	}
 	
 	if (debug & DEBUG_CARD) {
 		/* Print calibration parameters */
-		printk("Calibration Vector Regs 98 - 107: \n");
+		printk(KERN_DEBUG "Calibration Vector Regs 98 - 107: \n");
 		for (x=98;x<108;x++) {
-			printk("%d: %02x\n", x, wctdm_getreg(wc, card, x));
+			printk(KERN_DEBUG "%d: %02x\n", x, wctdm_getreg(wc, card, x));
 		}
 	}
 	return 0;
@@ -1806,12 +1806,12 @@
 static int wctdm_set_hwgain(struct wctdm *wc, int card, __s32 gain, __u32 tx)
 {
 	if (!(wc->modtype[card] == MOD_TYPE_FXO)) {
-		printk("Cannot adjust gain.  Unsupported module type!\n");
+		printk(KERN_NOTICE "Cannot adjust gain.  Unsupported module type!\n");
 		return -1;
 	}
 	if (tx) {
 		if (debug)
-			printk("setting FXO tx gain for card=%d to %d\n", card, gain);
+			printk(KERN_DEBUG "setting FXO tx gain for card=%d to %d\n", card, gain);
 		if (gain >=  -150 && gain <= 0) {
 			wctdm_setreg(wc, card, 38, 16 + (gain/-10));
 			wctdm_setreg(wc, card, 40, 16 + (-gain%10));
@@ -1819,12 +1819,12 @@
 			wctdm_setreg(wc, card, 38, gain/10);
 			wctdm_setreg(wc, card, 40, (gain%10));
 		} else {
-			printk("FXO tx gain is out of range (%d)\n", gain);
+			printk(KERN_NOTICE "FXO tx gain is out of range (%d)\n", gain);
 			return -1;
 		}
 	} else { /* rx */
 		if (debug)
-			printk("setting FXO rx gain for card=%d to %d\n", card, gain);
+			printk(KERN_DEBUG "setting FXO rx gain for card=%d to %d\n", card, gain);
 		if (gain >=  -150 && gain <= 0) {
 			wctdm_setreg(wc, card, 39, 16+ (gain/-10));
 			wctdm_setreg(wc, card, 41, 16 + (-gain%10));
@@ -1832,7 +1832,7 @@
 			wctdm_setreg(wc, card, 39, gain/10);
 			wctdm_setreg(wc, card, 41, (gain%10));
 		} else {
-			printk("FXO rx gain is out of range (%d)\n", gain);
+			printk(KERN_NOTICE "FXO rx gain is out of range (%d)\n", gain);
 			return -1;
 		}
 	}
@@ -1921,11 +1921,11 @@
 		wait_just_a_bit(HZ/10);
 
 	if (!(wctdm_getreg(wc, card, 11) & 0xf0)) {
-		printk("VoiceDAA did not bring up ISO link properly!\n");
+		printk(KERN_NOTICE "VoiceDAA did not bring up ISO link properly!\n");
 		return -1;
 	}
 	if (debug & DEBUG_CARD)
-		printk("ISO-Cap is now up, line side: %02x rev %02x\n", 
+		printk(KERN_DEBUG "ISO-Cap is now up, line side: %02x rev %02x\n", 
 		       wctdm_getreg(wc, card, 11) >> 4,
 		       (wctdm_getreg(wc, card, 13) >> 2) & 0xf);
 	/* Enable on-hook line monitor */
@@ -1936,7 +1936,7 @@
 	wctdm_set_hwgain(wc, card, fxorxgain, 0);
 
 	if(debug)
-		printk("DEBUG fxotxgain:%i.%i fxorxgain:%i.%i\n", (wctdm_getreg(wc, card, 38)/16) ? -(wctdm_getreg(wc, card, 38) - 16) : wctdm_getreg(wc, card, 38), (wctdm_getreg(wc, card, 40)/16) ? -(wctdm_getreg(wc, card, 40) - 16) : wctdm_getreg(wc, card, 40), (wctdm_getreg(wc, card, 39)/16) ? -(wctdm_getreg(wc, card, 39) - 16): wctdm_getreg(wc, card, 39), (wctdm_getreg(wc, card, 41)/16)?-(wctdm_getreg(wc, card, 41) - 16) : wctdm_getreg(wc, card, 41));
+		printk(KERN_DEBUG "DEBUG fxotxgain:%i.%i fxorxgain:%i.%i\n", (wctdm_getreg(wc, card, 38)/16) ? -(wctdm_getreg(wc, card, 38) - 16) : wctdm_getreg(wc, card, 38), (wctdm_getreg(wc, card, 40)/16) ? -(wctdm_getreg(wc, card, 40) - 16) : wctdm_getreg(wc, card, 40), (wctdm_getreg(wc, card, 39)/16) ? -(wctdm_getreg(wc, card, 39) - 16): wctdm_getreg(wc, card, 39), (wctdm_getreg(wc, card, 41)/16)?-(wctdm_getreg(wc, card, 41) - 16) : wctdm_getreg(wc, card, 41));
 	
 	return 0;
 		
@@ -1996,7 +1996,7 @@
 
 	/* Power up the DC-DC converter */
 	if (wctdm_powerup_proslic(wc, card, fast)) {
-		printk("Unable to do INITIAL ProSLIC powerup on module %d\n", card);
+		printk(KERN_NOTICE "Unable to do INITIAL ProSLIC powerup on module %d\n", card);
 		return -1;
 	}
 
@@ -2004,40 +2004,40 @@
 
 		/* Check for power leaks */
 		if (wctdm_proslic_powerleak_test(wc, card)) {
-			printk("ProSLIC module %d failed leakage test.  Check for short circuit\n", card);
+			printk(KERN_NOTICE "ProSLIC module %d failed leakage test.  Check for short circuit\n", card);
 		}
 		/* Power up again */
 		if (wctdm_powerup_proslic(wc, card, fast)) {
-			printk("Unable to do FINAL ProSLIC powerup on module %d\n", card);
+			printk(KERN_NOTICE "Unable to do FINAL ProSLIC powerup on module %d\n", card);
 			return -1;
 		}
 #ifndef NO_CALIBRATION
 		/* Perform calibration */
 		if(manual) {
 			if (wctdm_proslic_manual_calibrate(wc, card)) {
-				//printk("Proslic failed on Manual Calibration\n");
+				//printk(KERN_NOTICE "Proslic failed on Manual Calibration\n");
 				if (wctdm_proslic_manual_calibrate(wc, card)) {
-					printk("Proslic Failed on Second Attempt to Calibrate Manually. (Try -DNO_CALIBRATION in Makefile)\n");
+					printk(KERN_NOTICE "Proslic Failed on Second Attempt to Calibrate Manually. (Try -DNO_CALIBRATION in Makefile)\n");
 					return -1;
 				}
-				printk("Proslic Passed Manual Calibration on Second Attempt\n");
+				printk(KERN_INFO "Proslic Passed Manual Calibration on Second Attempt\n");
 			}
 		}
 		else {
 			if(wctdm_proslic_calibrate(wc, card))  {
-				//printk("ProSlic died on Auto Calibration.\n");
+				//printk(KERN_NOTICE "ProSlic died on Auto Calibration.\n");
 				if (wctdm_proslic_calibrate(wc, card)) {
-					printk("Proslic Failed on Second Attempt to Auto Calibrate\n");
+					printk(KERN_NOTICE "Proslic Failed on Second Attempt to Auto Calibrate\n");
 					return -1;
 				}
-				printk("Proslic Passed Auto Calibration on Second Attempt\n");
+				printk(KERN_INFO "Proslic Passed Auto Calibration on Second Attempt\n");
 			}
 		}
 		/* Perform DC-DC calibration */
 		wctdm_setreg(wc, card, 93, 0x99);
 		r19 = wctdm_getreg(wc, card, 107);
 		if ((r19 < 0x2) || (r19 > 0xd)) {
-			printk("DC-DC cal has a surprising direct 107 of 0x%02x!\n", r19);
+			printk(KERN_NOTICE "DC-DC cal has a surprising direct 107 of 0x%02x!\n", r19);
 			wctdm_setreg(wc, card, 107, 0x8);
 		}
 
@@ -2123,24 +2123,24 @@
 			wctdm_setreg(wc, card, 74, 0x3f);
 			if (wctdm_proslic_setreg_indirect(wc, card, 21, 0x247)) 
 				return -1;
-			printk("Boosting fast ringer on slot %d (89V peak)\n", card + 1);
+			printk(KERN_INFO "Boosting fast ringer on slot %d (89V peak)\n", card + 1);
 		} else if (lowpower) {
 			if (wctdm_proslic_setreg_indirect(wc, card, 21, 0x14b)) 
 				return -1;
-			printk("Reducing fast ring power on slot %d (50V peak)\n", card + 1);
+			printk(KERN_INFO "Reducing fast ring power on slot %d (50V peak)\n", card + 1);
 		} else
-			printk("Speeding up ringer on slot %d (25Hz)\n", card + 1);
+			printk(KERN_INFO "Speeding up ringer on slot %d (25Hz)\n", card + 1);
 	} else {
 		/* Beef up Ringing voltage to 89V */
 		if (boostringer) {
 			wctdm_setreg(wc, card, 74, 0x3f);
 			if (wctdm_proslic_setreg_indirect(wc, card, 21, 0x1d1)) 
 				return -1;
-			printk("Boosting ringer on slot %d (89V peak)\n", card + 1);
+			printk(KERN_INFO "Boosting ringer on slot %d (89V peak)\n", card + 1);
 		} else if (lowpower) {
 			if (wctdm_proslic_setreg_indirect(wc, card, 21, 0x108)) 
 				return -1;
-			printk("Reducing ring power on slot %d (50V peak)\n", card + 1);
+			printk(KERN_INFO "Reducing ring power on slot %d (50V peak)\n", card + 1);
 		}
 	}
 
@@ -2173,7 +2173,7 @@
 	}
 
 	if (debug)
-		printk("DEBUG: fxstxgain:%s fxsrxgain:%s\n",((wctdm_getreg(wc, card, 9)/8) == 1)?"3.5":(((wctdm_getreg(wc,card,9)/4) == 1)?"-3.5":"0.0"),((wctdm_getreg(wc, card, 9)/2) == 1)?"3.5":((wctdm_getreg(wc,card,9)%2)?"-3.5":"0.0"));
+		printk(KERN_DEBUG "DEBUG: fxstxgain:%s fxsrxgain:%s\n",((wctdm_getreg(wc, card, 9)/8) == 1)?"3.5":(((wctdm_getreg(wc,card,9)/4) == 1)?"-3.5":"0.0"),((wctdm_getreg(wc, card, 9)/2) == 1)?"3.5":((wctdm_getreg(wc,card,9)%2)?"-3.5":"0.0"));
 
 	wc->mods[card].fxs.lasttxhook = 0x11;
 	wctdm_setreg(wc, card, 64, 0x01);
@@ -2261,7 +2261,7 @@
 
 	/* actually do something with the values */
 	qrvcard = (chan->chanpos - 1) & 0xfc;
-	if (debug) printk("@@@@@ radmodes: %d,%d  rxgains: %d,%d   txgains: %d,%d\n",
+	if (debug) printk(KERN_DEBUG "@@@@@ radmodes: %d,%d  rxgains: %d,%d   txgains: %d,%d\n",
 	wc->radmode[qrvcard],wc->radmode[qrvcard + 1],
 		wc->rxgain[qrvcard],wc->rxgain[qrvcard + 1],
 			wc->txgain[qrvcard],wc->txgain[qrvcard + 1]);
@@ -2271,7 +2271,7 @@
 	if (wc->rxgain[qrvcard] < 1200) r |= 1;
 	if (wc->rxgain[qrvcard + 1] < 1200) r |= 2;
 	wctdm_setreg(wc, qrvcard, 7, r);
-	if (debug) printk("@@@@@ setting reg 7 to %02x hex\n",r);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 7 to %02x hex\n",r);
 	r = 0;
 	if (wc->radmode[qrvcard] & RADMODE_PREEMP) r |= 3;
 	else if (wc->txgain[qrvcard] >= 3600) r |= 1;
@@ -2280,35 +2280,35 @@
 	else if (wc->txgain[qrvcard + 1] >= 3600) r |= 4;
 	else if (wc->txgain[qrvcard + 1] >= 1200) r |= 8;
 	wctdm_setreg(wc, qrvcard, 4, r);
-	if (debug) printk("@@@@@ setting reg 4 to %02x hex\n",r);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 4 to %02x hex\n",r);
 	r = 0;
 	if (wc->rxgain[qrvcard] >= 2400) r |= 1; 
 	if (wc->rxgain[qrvcard + 1] >= 2400) r |= 2; 
 	wctdm_setreg(wc, qrvcard, 0x25, r);
-	if (debug) printk("@@@@@ setting reg 0x25 to %02x hex\n",r);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x25 to %02x hex\n",r);
 	r = 0;
 	if (wc->txgain[qrvcard] < 2400) r |= 1; else r |= 4;
 	if (wc->txgain[qrvcard + 1] < 2400) r |= 8; else r |= 0x20;
 	wctdm_setreg(wc, qrvcard, 0x26, r);
-	if (debug) printk("@@@@@ setting reg 0x26 to %02x hex\n",r);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x26 to %02x hex\n",r);
 	l = ((long)(wc->rxgain[qrvcard] % 1200) * 10000) / 46875;
 	if (l == 0) l = 1;
 	if (wc->rxgain[qrvcard] >= 2400) l += 181;
 	wctdm_setreg(wc, qrvcard, 0x0b, (unsigned char)l);
-	if (debug) printk("@@@@@ setting reg 0x0b to %02x hex\n",(unsigned char)l);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x0b to %02x hex\n",(unsigned char)l);
 	l = ((long)(wc->rxgain[qrvcard + 1] % 1200) * 10000) / 46875;
 	if (l == 0) l = 1;
 	if (wc->rxgain[qrvcard + 1] >= 2400) l += 181;
 	wctdm_setreg(wc, qrvcard, 0x0c, (unsigned char)l);
-	if (debug) printk("@@@@@ setting reg 0x0c to %02x hex\n",(unsigned char)l);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x0c to %02x hex\n",(unsigned char)l);
 	l = ((long)(wc->txgain[qrvcard] % 1200) * 10000) / 46875;
 	if (l == 0) l = 1;
 	wctdm_setreg(wc, qrvcard, 0x0f, (unsigned char)l);
-	if (debug) printk("@@@@@ setting reg 0x0f to %02x hex\n", (unsigned char)l);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x0f to %02x hex\n", (unsigned char)l);
 	l = ((long)(wc->txgain[qrvcard + 1] % 1200) * 10000) / 46875;
 	if (l == 0) l = 1;
 	wctdm_setreg(wc, qrvcard, 0x10,(unsigned char)l);
-	if (debug) printk("@@@@@ setting reg 0x10 to %02x hex\n",(unsigned char)l);
+	if (debug) printk(KERN_DEBUG "@@@@@ setting reg 0x10 to %02x hex\n",(unsigned char)l);
 	return;
 }
 
@@ -2379,19 +2379,19 @@
 		if (regop.indirect) {
 			if (wc->modtype[chan->chanpos - 1] != MOD_TYPE_FXS)
 				return -EINVAL;
-			printk("Setting indirect %d to 0x%04x on %d\n", regop.reg, regop.val, chan->chanpos);
+			printk(KERN_INFO "Setting indirect %d to 0x%04x on %d\n", regop.reg, regop.val, chan->chanpos);
 			wctdm_proslic_setreg_indirect(wc, chan->chanpos - 1, regop.reg, regop.val);
 		} else {
 			regop.val &= 0xff;
 			if (regop.reg == 64)
 				wc->mods[chan->chanpos-1].fxs.lasttxhook = (regop.val & 0x0f) |  0x10;
 			
-			printk("Setting direct %d to %04x on %d\n", regop.reg, regop.val, chan->chanpos);
+			printk(KERN_INFO "Setting direct %d to %04x on %d\n", regop.reg, regop.val, chan->chanpos);
 			wctdm_setreg(wc, chan->chanpos - 1, regop.reg, regop.val);
 		}
 		break;
 	case WCTDM_SET_ECHOTUNE:
-		printk("-- Setting echo registers: \n");
+		printk(KERN_INFO "-- Setting echo registers: \n");
 		if (copy_from_user(&echoregs, (struct wctdm_echo_coefs*)data, sizeof(echoregs)))
 			return -EFAULT;
 
@@ -2409,7 +2409,7 @@
 			wctdm_setreg(wc, chan->chanpos - 1, 51, echoregs.coef7);
 			wctdm_setreg(wc, chan->chanpos - 1, 52, echoregs.coef8);
 
-			printk("-- Set echo registers successfully\n");
+			printk(KERN_INFO "-- Set echo registers successfully\n");
 
 			break;
 		} else {
@@ -2424,7 +2424,7 @@
 		wctdm_set_hwgain(wc, chan->chanpos-1, hwgain.newgain, hwgain.tx);
 
 		if (debug)
-			printk("Setting hwgain on channel %d to %d for %s direction\n", 
+			printk(KERN_DEBUG "Setting hwgain on channel %d to %d for %s direction\n", 
 				chan->chanpos-1, hwgain.newgain, hwgain.tx ? "tx" : "rx");
 		break;
 #ifdef VPM_SUPPORT
@@ -2609,7 +2609,7 @@
 
 static int wctdm_watchdog(struct dahdi_span *span, int event)
 {
-	printk("TDM: Called watchdog\n");
+	printk(KERN_INFO "TDM: Called watchdog\n");
 	return 0;
 }
 
@@ -2662,7 +2662,7 @@
 			wc->qrvhook[chan->chanpos - 1] = 0;
 			break;
 		default:
-			printk("wctdm24xxp: Can't set tx state to %d\n", txsig);
+			printk(KERN_NOTICE "wctdm24xxp: Can't set tx state to %d\n", txsig);
 		}
 		reg = 0;
 		if (!wc->qrvhook[qrvcard]) reg |= 1;
@@ -2683,7 +2683,7 @@
 			/* wctdm_setreg(wc, chan->chanpos - 1, 5, 0x8); */
 			break;
 		default:
-			printk("wctdm24xxp: Can't set tx state to %d\n", txsig);
+			printk(KERN_NOTICE "wctdm24xxp: Can't set tx state to %d\n", txsig);
 		}
 	} else {
 		switch(txsig) {
@@ -2718,10 +2718,10 @@
 			wc->mods[chan->chanpos - 1].fxs.lasttxhook = 0x10;
 			break;
 		default:
-			printk("wctdm24xxp: Can't set tx state to %d\n", txsig);
+			printk(KERN_NOTICE "wctdm24xxp: Can't set tx state to %d\n", txsig);
 		}
 		if (debug & DEBUG_CARD)
-			printk("Setting FXS hook state to %d (%02x)\n", txsig, reg);
+			printk(KERN_DEBUG "Setting FXS hook state to %d (%02x)\n", txsig, reg);
 
 		
 		wc->sethook[chan->chanpos - 1] = CMD_WR(64, wc->mods[chan->chanpos - 1].fxs.lasttxhook);
